Delete a Notebook Block

ExperimentalThis API is under active development and may change.
DELETE /api/0/organizations/{organization_id_or_slug}/notebooks/{notebook_id}/blocks/{block_id}/

Soft-delete an active block using notebook and block versions. Active executions and other state conflicts return 409. Returns no body. Requires a user or service account. Requires the organizations:investigations feature and open organization membership.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

notebook_id (string)
REQUIRED

The ID of an investigation in this organization.

block_id (string)
REQUIRED

The ID of an active block in this investigation.

Body Parameters

notebookVersion (integer)
REQUIRED

Current notebook version from the latest detail response. Stale versions return 409.

version (integer)
REQUIRED

Current block version from the latest block response. Stale versions return 409.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/notebooks/{notebook_id}/blocks/{block_id}/ \
 -H 'Authorization: Bearer <auth_token>' \
 -X DELETE \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSE
Copied
No Content.
Was this helpful?